# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "monkeybars"
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["James Britt, David Koontz, Logan Barnett, Mario Aquino"]
  s.date = "2013-03-27"
  s.description = "Description\n------------\n  \nMonkeybars is a library that enables you to interface (via JRuby) with and take advantage of Swing without writing any Java directly.  Using any editor you like, you create Java GUI elements and Monkeybars takes care of registering event listeners, receiving and handling events, updating your view from a model, etc. Monkeybars makes very few assumptions about your model or the structure of the code in your Java forms so it can be integrated into existing projects with a minimum of hassle."
  s.email = "james@neurogami.com"
  s.executables = ["monkeybars"]
  s.extra_rdoc_files = ["History.txt", "README.txt", "bin/monkeybars", "javax.swing.JComboBox.methods.txt"]
  s.files = [".bnignore", "COPYING.markdown", "History.txt", "README.markdown", "README.txt", "Rakefile", "bin/monkeybars", "examples/FlickrBrowser/Rakefile", "examples/FlickrBrowser/build/classes/FlickrBrowser$1.class", "examples/FlickrBrowser/build/classes/FlickrBrowser.class", "examples/FlickrBrowser/build/classes/application_controller.rb", "examples/FlickrBrowser/build/classes/application_view.rb", "examples/FlickrBrowser/build/classes/flickr_browser/flickr_browser_controller.rb", "examples/FlickrBrowser/build/classes/flickr_browser/flickr_browser_model.rb", "examples/FlickrBrowser/build/classes/flickr_browser/flickr_browser_view.rb", "examples/FlickrBrowser/build/classes/main.rb", "examples/FlickrBrowser/build/classes/manifest.rb", "examples/FlickrBrowser/build/classes/resolver.rb", "examples/FlickrBrowser/build_configuration.rb", "examples/FlickrBrowser/icons/monkeybars.icns", "examples/FlickrBrowser/icons/monkeybars.ico", "examples/FlickrBrowser/lib/java/README.txt", "examples/FlickrBrowser/lib/java/flickraw-0.4.4.jar", "examples/FlickrBrowser/lib/java/swing-layout-1.0.3.jar", "examples/FlickrBrowser/lib/ruby/README.txt", "examples/FlickrBrowser/src/FlickrBrowser.form", "examples/FlickrBrowser/src/FlickrBrowser.java", "examples/FlickrBrowser/src/application_controller.rb", "examples/FlickrBrowser/src/application_view.rb", "examples/FlickrBrowser/src/flickr_browser/flickr_browser_controller.rb", "examples/FlickrBrowser/src/flickr_browser/flickr_browser_model.rb", "examples/FlickrBrowser/src/flickr_browser/flickr_browser_view.rb", "examples/FlickrBrowser/src/main.rb", "examples/FlickrBrowser/src/manifest.rb", "examples/FlickrBrowser/src/org/monkeybars/rawr/Main.java", "examples/FlickrBrowser/src/resolver.rb", "examples/FlickrBrowser/tasks/monkeybars.rake", "examples/HelloMonkeybars/Rakefile", "examples/HelloMonkeybars/build_configuration.rb", "examples/HelloMonkeybars/icons/monkeybars.icns", "examples/HelloMonkeybars/icons/monkeybars.ico", "examples/HelloMonkeybars/lib/java/README.txt", "examples/HelloMonkeybars/lib/ruby/README.txt", "examples/HelloMonkeybars/package/classes/java/Hello$1.class", "examples/HelloMonkeybars/package/classes/java/Hello.class", "examples/HelloMonkeybars/src/Hello.form", "examples/HelloMonkeybars/src/Hello.java", "examples/HelloMonkeybars/src/application_controller.rb", "examples/HelloMonkeybars/src/application_view.rb", "examples/HelloMonkeybars/src/greeter/greeter_controller.rb", "examples/HelloMonkeybars/src/greeter/greeter_model.rb", "examples/HelloMonkeybars/src/greeter/greeter_view.rb", "examples/HelloMonkeybars/src/main.rb", "examples/HelloMonkeybars/src/manifest.rb", "examples/HelloMonkeybars/src/org/monkeybars/rawr/Main.java", "examples/HelloMonkeybars/src/resolver.rb", "examples/HelloMonkeybars/tasks/monkeybars.rake", "examples/Nested-Simple/Rakefile", "examples/Nested-Simple/build_configuration.rb", "examples/Nested-Simple/icons/monkeybars.icns", "examples/Nested-Simple/icons/monkeybars.ico", "examples/Nested-Simple/lib/java/README.txt", "examples/Nested-Simple/lib/java/swing-layout-1.0.3.jar", "examples/Nested-Simple/lib/ruby/README.txt", "examples/Nested-Simple/src/application_controller.rb", "examples/Nested-Simple/src/application_view.rb", "examples/Nested-Simple/src/list/ListFrame.form", "examples/Nested-Simple/src/list/ListFrame.java", "examples/Nested-Simple/src/list/list_controller.rb", "examples/Nested-Simple/src/list/list_model.rb", "examples/Nested-Simple/src/list/list_view.rb", "examples/Nested-Simple/src/main.rb", "examples/Nested-Simple/src/manifest.rb", "examples/Nested-Simple/src/org/monkeybars/rawr/Main.java", "examples/Nested-Simple/src/resolver.rb", "examples/Nested-Simple/src/search/SearchPanel.form", "examples/Nested-Simple/src/search/SearchPanel.java", "examples/Nested-Simple/src/search/search_controller.rb", "examples/Nested-Simple/src/search/search_model.rb", "examples/Nested-Simple/src/search/search_view.rb", "examples/Nested-Simple/tasks/monkeybars.rake", "exclude.lst", "javax.swing.JComboBox.methods.txt", "lib/foxtrot.jar", "lib/monkeybars.rb", "lib/monkeybars/controller.rb", "lib/monkeybars/debug.rb", "lib/monkeybars/event_handler.rb", "lib/monkeybars/event_handler_registration_and_dispatch_mixin.rb", "lib/monkeybars/exceptions.rb", "lib/monkeybars/global_error_handler.rb", "lib/monkeybars/inflector.rb", "lib/monkeybars/key.rb", "lib/monkeybars/task_processor.rb", "lib/monkeybars/validated_hash.rb", "lib/monkeybars/view.rb", "lib/monkeybars/view_mapping.rb", "lib/monkeybars/view_nesting.rb", "lib/monkeybars/view_positioning.rb", "lib/monkeybars_version.rb", "lib/util/rspec/application_user.rb", "lib/util/rspec/monkeybars_steps.rb", "lib/util/rspec/user.rb", "monkeybars.gemspec", "skeleton/icons/monkeybars.icns", "skeleton/icons/monkeybars.ico", "skeleton/lib/java/README.txt", "skeleton/lib/java/monkeybars-1.3.0.jar", "skeleton/lib/ruby/README.txt", "skeleton/src/application_controller.rb", "skeleton/src/application_view.rb", "skeleton/src/main.rb", "skeleton/src/manifest.rb", "skeleton/src/resolver.rb", "skeleton/tasks/monkeybars.rake", "spec-cli.txt", "spec/spec_helper.rb", "spec/unit/command_line_spec.rb", "spec/unit/component_mixin_spec.rb", "spec/unit/controller_spec.rb", "spec/unit/event_handler_registration_and_dispatch_mixin_spec.rb", "spec/unit/inflector_spec.rb", "spec/unit/manifest_spec.rb", "spec/unit/monkeybars_window_adapter_spec.rb", "spec/unit/org/monkeybars/TestView.class", "spec/unit/org/monkeybars/TestView.form", "spec/unit/org/monkeybars/TestView.java", "spec/unit/resolver_spec.rb", "spec/unit/task_processor_spec.rb", "spec/unit/test_files.jar", "spec/unit/validated_hash_spec.rb", "spec/unit/view_map_methods_spec.rb", "spec/unit/view_mapping_spec.rb", "spec/unit/view_nesting_spec.rb", "spec/unit/view_spec.rb"]
  s.homepage = "http://www.monkeybars.org"
  s.rdoc_options = ["README.markdown", "-m README.txt", "--main", "README.txt"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "monkeybars"
  s.rubygems_version = "1.8.24"
  s.summary = "Powerful cross-platform Ruby apps made elegant."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rawr>, [">= 1.6.5"])
      s.add_runtime_dependency(%q<swingset>, [">= 0.4.0"])
      s.add_development_dependency(%q<bones>, [">= 3.8.0"])
    else
      s.add_dependency(%q<rawr>, [">= 1.6.5"])
      s.add_dependency(%q<swingset>, [">= 0.4.0"])
      s.add_dependency(%q<bones>, [">= 3.8.0"])
    end
  else
    s.add_dependency(%q<rawr>, [">= 1.6.5"])
    s.add_dependency(%q<swingset>, [">= 0.4.0"])
    s.add_dependency(%q<bones>, [">= 3.8.0"])
  end
end
